Export month-over-month P&L
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/profit-and-loss/exports/month-over-month \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/profit-and-loss/exports/month-over-month"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/profit-and-loss/exports/month-over-month', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "S3_Presigned_Url",
"presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
"fileType": "csv"
}
}{
"description": "<string>",
"meta": {}
}{
"description": "<string>",
"meta": {}
}Exports
Export month-over-month P&L
Exports a month-over-month profit and loss comparison as an Excel file. Returns a pre-signed URL for downloading the generated Excel file.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
profit-and-loss
/
exports
/
month-over-month
Export month-over-month P&L
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to export the month-over-month P&L for.
Query Parameters
End year for the comparison.
End month for the comparison (1-12).
Required range:
1 <= x <= 12Response
Pre-signed URL for downloading the Excel export.
A pre-signed URL to download a document.
Show child attributes
Show child attributes
⌘I